Source: scipy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>,
           Ondrej Certik <ondrej@certik.cz>,
           David Cournapeau <cournape@gmail.com>,
           Varun Hiremath <varun@debian.org>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               gfortran,
               libblas-dev,
               liblapack-dev,
               libsuitesparse-dev,
               python3-mesonpy (>= 0.15.0~),
               pkgconf,
               python3-all-dev,
               python3-decorator,
               python3-numpy (>= 1:1.26.0~),
               python3-pooch,
               python3-pybind11 (>= 2.13.2~),
               python3-setuptools,
               python3-wheel,
               python3-pythran (>= 0.15.0~),
               python3-pytest,
               python3-doit (>= 0.36.0~) <!nocheck>,
               python3-hypothesis <!nocheck>,
               python3-yaml
Build-Depends-Indep: dvipng,
                     dh-sequence-sphinxdoc,
                     python3-doc <!nodoc>,
                     python3-docutils,
                     python3-sphinx-copybutton <!nodoc>,
                     python3-jupytext <!nodoc>,
                     python3-matplotlib,
                     python-matplotlib-doc <!nodoc>,
                     python-mpmath-doc <!nodoc>,
                     python3-myst-nb <!nodoc>,
                     python-numpy-doc <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     python3-pydata-sphinx-theme,
                     python3-sphinx,
                     python3-sphinx-design,
                     python3-sphinx-tabs,
                     python-statsmodels-doc <!nodoc>,
                     rdfind,
                     symlinks,
                     texlive-latex-base,
                     texlive-latex-extra
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/scipy
Vcs-Git: https://salsa.debian.org/python-team/packages/scipy.git
Homepage: https://www.scipy.org/
Rules-Requires-Root: no

Package: python3-scipy
Architecture: any
Multi-Arch: no
Depends: python3-decorator,
         python3-numpy (>= 1:1.26.0~),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: g++ | c++-compiler,
            python3-pil,
            python3-pooch,
            python3-yaml
Suggests: python-scipy-doc
Breaks: python3-skbio (<< 0.5.8-3~)
Description: scientific tools for Python 3
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.

Package: python-scipy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: fonts-open-sans,
         libjs-jquery,
         libjs-mathjax,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: scientific library for Python - documentation
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package contains documentation for the SciPy library.
